<?php
/**
 * @Packge     : Knirpse
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) ) {
        $knirpse404title        = knirpse_opt( 'knirpse_fof_title' );
        $knirpse404subtitle     = knirpse_opt( 'knirpse_fof_subtitle' );
        $knirpse404description  = knirpse_opt( 'knirpse_fof_description' );
        $knirpse404btntext      = knirpse_opt( 'knirpse_fof_btn_text' );
        $knirpse404bg_img       = knirpse_opt('knirpse_404_bg', 'url');
        $knirpse40shape_img     = knirpse_opt('knirpse_404_bg_shape', 'url');
    } else {
        $knirpse404title        = __( '404 Error', 'knirpse' );
        $knirpse404subtitle     = __( 'Page Not Found', 'knirpse' );
        $knirpse404description  = __( 'Unfortunately, something went wrong and this page does not exist. Try using the search or return to the previous page.', 'knirpse' );
        $knirpse404btntext      = __( 'Go Back Home', 'knirpse');
        $knirpse404bg_img       = get_template_directory_uri().'/assets/img/error-bg.jpg';
        $knirpse40shape_img     = get_template_directory_uri().'/assets/img/error-shape.png';

        
    }

    // get header
    get_header();

    echo '<div class="vs-error-wrapper parallax" data-bg-src="'.esc_url($knirpse404bg_img).'">';
        echo '<div class="layer error-shape" data-depth="0.4">';
            echo '<img src="'.esc_url($knirpse40shape_img).'" alt="'.esc_html( get_bloginfo('name') ).'">';
        echo '</div>';
        echo '<div class="container">';
            echo '<div class="error-content wow fadeInUp" data-wow-delay="0.2s">';
                echo '<span class="h1 error-number">'.esc_html( $knirpse404title ).'</span>';
                echo '<h1 class="error-title text-white">'.esc_html( $knirpse404subtitle ).'</h1>';
                echo '<p class="error-text text-white">'.esc_html( $knirpse404description ).'</p>';
                echo '<a href="'.esc_url( home_url('/') ).'" class="vs-btn wave-btn">'.esc_html( $knirpse404btntext ).'</a>';
            echo '</div>';
        echo '</div>';
    echo '</div>';
    
    //footer
    get_footer();