<?php
/**
 * @Packge     : Knirpse
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }


    // preloader hook function
    if( ! function_exists( 'knirpse_preloader_wrap_cb' ) ) {
        function knirpse_preloader_wrap_cb() {
            $preloader_display              =  knirpse_opt('knirpse_display_preloader');

            if( class_exists('ReduxFramework') ){
                if( $preloader_display ){
                    echo '<div class="preloader">';
                        echo '<button class="vs-btn preloaderCls">'.esc_html__( 'Cancel Preloader', 'knirpse' ).'</button>';
                        echo '<div class="preloader-inner">';
                            if( ! empty( knirpse_opt( 'knirpse_preloader_img','url' ) ) ){
                                echo knirpse_img_tag( array(
                                    'url'   => esc_url( knirpse_opt( 'knirpse_preloader_img','url' ) ),
                                    'class' => 'loader-img',
                                ) );
                            };
                            echo '<div class="loader-wrap pt-4">';
                                echo '<span class="loader"></span>';
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                }
            }else{
                echo '<div class="preloader">';
                    echo '<button class="vs-btn preloaderCls">'.esc_html__( 'Cancel Preloader', 'knirpse' ).'</button>';
                    echo '<div class="preloader-inner">';
                        echo '<svg id="preloader" xmlns="http://www.w3.org/2000/svg" width="128" height="128" viewBox="0 0 128 128">';
                            echo '<path id="Path_1" data-name="Path 1" d="M64,0,40.08,21.9a10.98,10.98,0,0,0-5.05,8.75C34.37,44.85,64,60.63,64,60.63Z" fill="#ffb118"/>';
                            echo '<path id="Path_2" data-name="Path 2" d="M128,64,106.12,40.1a10.97,10.97,0,0,0-8.75-5.05C83.17,34.4,67.4,64,67.4,64Z" fill="#80c141"/>';
                            echo '<path id="Path_3" data-name="Path 3" d="M63.7,69.73a110.97,110.97,0,0,1-5.04-20.54c-1.16-8.7.68-14.17.68-14.17H97.37s-4.3-.86-14.47,10.1C79.84,48.42,63.7,69.7,63.7,69.7Z" fill="#cadc28"/>';
                            echo '<path id="Path_4" data-name="Path 4" d="M64,128l23.9-21.88a10.97,10.97,0,0,0,5.05-8.75C93.6,83.17,64,67.4,64,67.4Z" fill="#cf171f"/>';
                            echo '<path id="Path_5" data-name="Path 5" d="M58.27,63.7a110.97,110.97,0,0,1,20.54-5.04c8.7-1.16,14.17.68,14.17.68V97.37s.86-4.3-10.1-14.47C79.58,79.84,58.3,63.7,58.3,63.7Z" fill="#ec1b21"/>';
                            echo '<path id="Path_6" data-name="Path 6" d="M0,64,21.88,87.9a10.97,10.97,0,0,0,8.75,5.05C44.83,93.6,60.6,64,60.6,64Z" fill="#018ed5"/>';
                            echo '<path id="Path_7" data-name="Path 7" d="M64.3,58.27a110.97,110.97,0,0,1,5.04,20.54c1.16,8.7-.68,14.17-.68,14.17H30.63s4.3.86,14.47-10.1c3.06-3.3,19.2-24.58,19.2-24.58Z" fill="#00bbf2"/>';
                            echo '<path id="Path_8" data-name="Path 8" d="M69.73,64.34a111.023,111.023,0,0,1-20.55,5.05c-8.7,1.14-14.15-.7-14.15-.7V30.65s-.86,4.3,10.1,14.5c3.3,3.05,24.6,19.2,24.6,19.2Z" fill="#f8f400"/>';
                            echo '<circle id="Ellipse_1" data-name="Ellipse 1" cx="2.03" cy="2.03" r="2.03" transform="translate(61.97 61.97)"/>';
                          echo '</svg>';
                    echo '</div>';
                echo '</div>';
            }
        }
    }

    // Header Hook function
    if( !function_exists('knirpse_header_cb') ) {
        function knirpse_header_cb( ) {
            get_template_part('templates/header');
            get_template_part('templates/header-menu-bottom');
        }
    }

    // back top top hook function
    if( ! function_exists( 'knirpse_back_to_top_cb' ) ) {
        function knirpse_back_to_top_cb( ) {
            $backtotop_trigger = knirpse_opt('knirpse_display_bcktotop');
            $custom_bcktotop   = knirpse_opt('knirpse_custom_bcktotop');
            $custom_bcktotop_icon   = knirpse_opt('knirpse_custom_bcktotop_icon');
            if( class_exists( 'ReduxFramework' ) ) {
                if( $backtotop_trigger ) {
                    if( $custom_bcktotop ) {
                        echo '<!-- Back to Top Button -->';
                        echo '<a href="'.esc_url('#').'" class="scrollToTop scroll-bottom  style2">';
                            echo '<i class="'.esc_attr( $custom_bcktotop_icon ).'"></i>';
                        echo '</a>';
                        echo '<!-- End of Back to Top Button -->';
                    } else {
                        echo '<!-- Back to Top Button -->';
                        echo '<a href="'.esc_url('#').'" class="scrollToTop scroll-btn">';
                            echo '<i class="far fa-arrow-up"></i>';
                        echo '</a>';
                        echo '<!-- End of Back to Top Button -->';
                    }
                }
            }

        }
    }

    // Blog Start Wrapper Function
    if( !function_exists('knirpse_blog_start_wrap_cb') ) {
        function knirpse_blog_start_wrap_cb() {
            if( class_exists( 'ReduxFramework' ) ) {
                $exra_class = 'space-page';
            }else{
               $exra_class = 'space-top space-md-bottom';
            }
            echo '<section class="vs-blog-wrapper '.esc_attr($exra_class).' ">';
                echo '<div class="container">';
                    echo '<div class="row gx-60">';
        }
    }

    // Blog End Wrapper Function
    if( !function_exists('knirpse_blog_end_wrap_cb') ) {
        function knirpse_blog_end_wrap_cb() {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // Blog Column Start Wrapper Function
    if( !function_exists('knirpse_blog_col_start_wrap_cb') ) {
        function knirpse_blog_col_start_wrap_cb() {
            if( class_exists('ReduxFramework') ) {
                $knirpse_blog_sidebar = knirpse_opt('knirpse_blog_sidebar');
                if( $knirpse_blog_sidebar == '2' && is_active_sidebar('knirpse-blog-sidebar') ) {
                    echo '<div class="col-lg-8 order-lg-last">';
                } elseif( $knirpse_blog_sidebar == '3' && is_active_sidebar('knirpse-blog-sidebar') ) {
                    echo '<div class="col-xl-8 col-lg-7">';
                } else {
                    echo '<div class="col-lg-12">';
                }

            } else {
                if( is_active_sidebar('knirpse-blog-sidebar') ) {
                    echo '<div class="col-xl-8 col-lg-7">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            }
        }
    }
    // Blog Column End Wrapper Function
    if( !function_exists('knirpse_blog_col_end_wrap_cb') ) {
        function knirpse_blog_col_end_wrap_cb() {
            echo '</div>';
        }
    }

    // Blog Sidebar
    if( !function_exists('knirpse_blog_sidebar_cb') ) {
        function knirpse_blog_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $knirpse_blog_sidebar = knirpse_opt('knirpse_blog_sidebar');
            } else {
                $knirpse_blog_sidebar = 2;
            }
            if( $knirpse_blog_sidebar != 1 && is_active_sidebar('knirpse-blog-sidebar') ) {
                // Sidebar
                get_sidebar();
            }
        }
    }


    if( !function_exists('knirpse_blog_details_sidebar_cb') ) {
        function knirpse_blog_details_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $knirpse_blog_single_sidebar = knirpse_opt('knirpse_blog_single_sidebar');
            } else {
                $knirpse_blog_single_sidebar = 4;
            }
            if( $knirpse_blog_single_sidebar != 1 ) {
                // Sidebar
                get_sidebar();
            }

        }
    }

    // Blog Pagination Function
    if( !function_exists('knirpse_blog_pagination_cb') ) {
        function knirpse_blog_pagination_cb( ) {
            get_template_part('templates/pagination');
        }
    }

    // Blog Content Function
    if( !function_exists('knirpse_blog_content_cb') ) {
        function knirpse_blog_content_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $knirpse_blog_grid = knirpse_opt('knirpse_blog_grid');
            } else {
                $knirpse_blog_grid = '1';
            }

            if( $knirpse_blog_grid == '1' ) {
                $knirpse_blog_grid_class = 'col-lg-12';
            } elseif( $knirpse_blog_grid == '2' ) {
                $knirpse_blog_grid_class = 'col-sm-6';
            } else {
                $knirpse_blog_grid_class = 'col-lg-4 col-sm-6';
            }

            echo '<div class="row">';
                if( have_posts() ) {
                    while( have_posts() ) {
                        the_post();
                        echo '<div class="'.esc_attr($knirpse_blog_grid_class).'">';
                            get_template_part('templates/content',get_post_format());
                        echo '</div>';
                    }
                    wp_reset_postdata();
                } else{
                    get_template_part('templates/content','none');
                }
            echo '</div>';
        }
    }

    // footer content Function
    if( !function_exists('knirpse_footer_content_cb') ) {
        function knirpse_footer_content_cb( ) {

            if( class_exists('ReduxFramework') && did_action( 'elementor/loaded' )  ){
                if( is_page() || is_page_template('template-builder.php') ) {
                    $post_id = get_the_ID();

                    // Get the page settings manager
                    $page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

                    // Get the settings model for current post
                    $page_settings_model = $page_settings_manager->get_model( $post_id );

                    // Retrieve the Footer Style
                    $footer_settings = $page_settings_model->get_settings( 'kundax_footer_style' );

                    // Footer Local
                    $footer_local = $page_settings_model->get_settings( 'kundax_footer_builder_option' );

                    // Footer Enable Disable
                    $footer_enable_disable = $page_settings_model->get_settings( 'kundax_footer_choice' );

                    if( $footer_enable_disable == 'yes' ){
                        if( $footer_settings == 'footer_builder' ) {
                            // local options
                            $knirpse_local_footer = get_post( $footer_local );
                            echo '<footer>';
                            echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $knirpse_local_footer->ID );
                            echo '</footer>';
                        } else {
                            // global options
                            $knirpse_footer_builder_trigger = knirpse_opt('knirpse_footer_builder_trigger');
                            if( $knirpse_footer_builder_trigger == 'footer_builder' ) {
                                echo '<footer>';
                                $knirpse_global_footer_select = get_post( knirpse_opt( 'knirpse_footer_builder_select' ) );
                                $footer_post = get_post( $knirpse_global_footer_select );
                                echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                                echo '</footer>';
                            } else {
                                // wordpress widgets
                                knirpse_footer_global_option();
                            }
                        }
                    }
                } else {
                    // global options
                    $knirpse_footer_builder_trigger = knirpse_opt('knirpse_footer_builder_trigger');
                    if( $knirpse_footer_builder_trigger == 'footer_builder' ) {
                        echo '<footer>';
                        $knirpse_global_footer_select = get_post( knirpse_opt( 'knirpse_footer_builder_select' ) );
                        $footer_post = get_post( $knirpse_global_footer_select );
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                        echo '</footer>';
                    } else {
                        // wordpress widgets
                        knirpse_footer_global_option();
                    }
                }
            } else {
                echo '<div class="copyright bg-theme pt-25 pb-25">';
                    echo '<div class="container">';
                        echo '<div class="col-auto text-center">';
                            echo '<div class="copyright-text">';
                                echo '<p class="mb-0 link-inherit fs-16 fw-light text-white">'.sprintf( 'Copyright <i class="fal fa-copyright"></i> %s <a href="%s">%s</a> All Rights Reserved by <a href="%s">%s</a>',date('Y'),esc_url('#'),__( 'Knirpse.','knirpse' ),esc_url('#'),__( 'Vecuro', 'knirpse' ) ).'</p>';
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            }

        }
    }

    // blog details wrapper start hook function
    if( !function_exists('knirpse_blog_details_wrapper_start_cb') ) {
        function knirpse_blog_details_wrapper_start_cb( ) {
            if( class_exists( 'ReduxFramework' ) ) {
                $exra_class = 'space-page';
            }else{
               $exra_class = 'space-top space-md-bottom';
            }

            echo '<section class="vs-blog-wrapper blog-details '.esc_attr($exra_class).' ">';
                echo '<div class="container">';
                    if( is_active_sidebar( 'knirpse-blog-sidebar' ) ){
                        $knirpse_gutter_class = 'gx-60';
                    }else{
                        $knirpse_gutter_class = '';
                    }
                    echo '<div class="row '.esc_attr( $knirpse_gutter_class ).'">';
        }
    }

    // blog details column wrapper start hook function
    if( !function_exists('knirpse_blog_details_col_start_cb') ) {
        function knirpse_blog_details_col_start_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $knirpse_blog_single_sidebar = knirpse_opt('knirpse_blog_single_sidebar');
                if( $knirpse_blog_single_sidebar == '2' && is_active_sidebar('knirpse-blog-sidebar') ) {
                    echo '<div class="col-xl-8 col-lg-7 order-last">';
                } elseif( $knirpse_blog_single_sidebar == '3' && is_active_sidebar('knirpse-blog-sidebar') ) {
                    echo '<div class="col-xl-8 col-lg-7">';
                } else {
                    echo '<div class="col-lg-12">';
                }

            } else {
                if( is_active_sidebar('knirpse-blog-sidebar') ) {
                    echo '<div class="col-xl-8 col-lg-7">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            }
        }
    }

    // blog details post meta hook function
    if( !function_exists('knirpse_blog_post_meta_cb') ) {
        function knirpse_blog_post_meta_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $knirpse_display_post_date      =  knirpse_opt('knirpse_display_post_date');
                $knirpse_display_post_views     =  knirpse_opt('knirpse_display_post_views');
                $knirpse_display_post_comment   =  knirpse_opt('knirpse_display_post_comment');
            } else {
                $knirpse_display_post_date      = '1';
                $knirpse_display_post_views     = '';
                $knirpse_display_post_comment   = '1';
            }

            echo '<!-- Blog Meta -->';
            echo '<div class="blog-meta">';
                if( $knirpse_display_post_views ){
                    echo '<a href="'.esc_url( get_comments_link( get_the_ID() ) ).'"><i class="fal fa-eye"></i>';
                    echo knirpse_getPostViews( get_the_ID() );
                    echo esc_html__( ' Views', 'knirpse' );
                    echo '</a>';
                }
                
                if( $knirpse_display_post_comment ){
                    if( get_comments_number() > 1 ){
                        $comment_text = __( ' Comments', 'knirpse' );
                    }else{
                        $comment_text = __( ' Comment', 'knirpse' );
                    }
                    echo '<a href="'.esc_url( get_comments_link( get_the_ID() ) ).'"><i class="far fa-comments"></i>'.esc_html( get_comments_number() ).''.$comment_text.'</a>';
                }

                if( $knirpse_display_post_date ){
                    echo '<a href="'.esc_url( knirpse_blog_date_permalink() ).'"><i class="fal fa-calendar-alt"></i>';
                        echo '<time datetime="'.esc_attr( get_the_date( DATE_W3C ) ).'">'.esc_html( get_the_date() ).'</time>';
                    echo '</a>';
                }
            echo '</div>';

        }
    }

    // blog details share options hook function
    if( !function_exists('knirpse_blog_details_share_options_cb') ) {
        function knirpse_blog_details_share_options_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $knirpse_post_details_share_options = knirpse_opt('knirpse_post_details_share_options');
            } else {
                $knirpse_post_details_share_options = false;
            }
            if( function_exists( 'knirpse_social_sharing_buttons' ) && $knirpse_post_details_share_options ) {
                echo '<div class="col-sm-auto text-md-end">';
                echo '<span class="share-links-title">'.__( 'Share Now:', 'knirpse' ).'</span>';
                    echo '<div class="social-links">';
                        echo '<ul class="multi-social">';
                            echo knirpse_social_sharing_buttons();
                        echo '</ul>';
                    echo '</div>';
                    echo '<!-- End Social Share -->';
                echo '</div>';
            }
        }
    }
    
    // blog details author bio hook function
    if( !function_exists('knirpse_blog_details_author_bio_cb') ) {
        function knirpse_blog_details_author_bio_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $postauthorbox =  knirpse_opt( 'knirpse_post_details_author_desc_trigger' );
            } else {
                $postauthorbox = '1';
            }
            if( !empty( get_the_author_meta('description')  ) && $postauthorbox == '1' ) {
                echo '<!-- Post Author -->';
                echo '<div class="blog-author d-md-flex align-items-center wow fadeInUp" data-wow-delay="0.3s">';
                    echo '<!-- Author Thumb -->';
                    echo '<div class="media-img">';
                        echo knirpse_img_tag( array(
                            "url"   => esc_url( get_avatar_url( get_the_author_meta('ID'), array(
                            "size"  => 150
                            ) ) ),
                        ) );
                    echo '</div>';
                    echo '<!-- End of Author Thumb -->';
                    echo '<div class="media-body">';
                        echo '<p class="author-degi">'.esc_html__( 'Written by', 'knirpse' ).'</p>';
                        echo knirpse_heading_tag( array(
                            "tag"   => "h3",
                            "text"  => knirpse_anchor_tag( array(
                                "text"  => esc_html( ucwords( get_the_author() ) ),
                                "url"   => esc_url( get_author_posts_url( get_the_author_meta('ID') ) )
                            ) ),
                            'class' => 'author-name',
                        ) );

                        if( ! empty( get_the_author_meta('description') ) ) {
                            echo '<p class="author-text mb-0">';
                                echo esc_html( get_the_author_meta('description') );
                            echo '</p>';
                        }

                        $knirpse_social_icons = get_user_meta( get_the_author_meta('ID'), '_knirpse_social_profile_group',true );

                        if( is_array( $knirpse_social_icons ) && !empty( $knirpse_social_icons ) ) {
                            echo '<div class="d-flex gap-2 text-white">';
                            foreach( $knirpse_social_icons as $singleicon ) {
                                if( ! empty( $singleicon['_knirpse_social_profile_icon'] ) ) {
                                    echo '<a class="icon-btn3 size-40" href="'.esc_url( $singleicon['_knirpse_lawyer_social_profile_link'] ).'"><i class="fab '.esc_attr( $singleicon['_knirpse_social_profile_icon'] ).'"></i></a>';
                                }
                            }
                            echo '</div>';
                        }
                    echo '</div>';
                echo '</div>';
                echo '<!-- End of Post Author -->';
            }

        }
    }

    // Blog Details Comments hook function
    if( !function_exists('knirpse_blog_details_comments_cb') ) {
        function knirpse_blog_details_comments_cb( ) {
            if ( ! comments_open() ) {
                echo '<div class="blog-comment-area">';
                    echo knirpse_heading_tag( array(
                        "tag"   => "h3",
                        "text"  => esc_html__( 'Comments are closed', 'knirpse' ),
                        "class" => "inner-title"
                    ) );
                echo '</div>';
            }

            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }
        }
    }

    // Blog Details Column end hook function
    if( !function_exists('knirpse_blog_details_col_end_cb') ) {
        function knirpse_blog_details_col_end_cb( ) {
            echo '</div>';
        }
    }

    // Blog Details Wrapper end hook function
    if( !function_exists('knirpse_blog_details_wrapper_end_cb') ) {
        function knirpse_blog_details_wrapper_end_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page start wrapper hook function
    if( !function_exists('knirpse_page_start_wrap_cb') ) {
        function knirpse_page_start_wrap_cb( ) {

            if( class_exists( 'ReduxFramework' ) ) {
                $exra_class = 'space-page';
            }else{
               $exra_class = 'space-top space-md-bottom';
            }

            if( is_page( 'cart' ) ){
                $section_class = "vs-cart-wrapper ".$exra_class;
            }elseif( is_page( 'checkout' ) ){
                $section_class = "vs-checkout-wrapper ".$exra_class;
            }elseif( is_page('wishlist') ){
                $section_class = "wishlist-area ".$exra_class;
            }else{
                $section_class = $exra_class;
            }
            echo '<section class="'.esc_attr( $section_class ).'">';
                echo '<div class="container">';
                    echo '<div class="row">';
        }
    }

    // page wrapper end hook function
    if( !function_exists('knirpse_page_end_wrap_cb') ) {
        function knirpse_page_end_wrap_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page column wrapper start hook function
    if( !function_exists('knirpse_page_col_start_wrap_cb') ) {
        function knirpse_page_col_start_wrap_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $knirpse_page_sidebar = knirpse_opt('knirpse_page_sidebar');
            }else {
                $knirpse_page_sidebar = '1';
            }
            if( $knirpse_page_sidebar == '2' && is_active_sidebar('knirpse-page-sidebar') ) {
                echo '<div class="col-lg-8 order-last">';
            } elseif( $knirpse_page_sidebar == '3' && is_active_sidebar('knirpse-page-sidebar') ) {
                echo '<div class="col-lg-8">';
            } else {
                echo '<div class="col-lg-12">';
            }

        }
    }

    // page column wrapper end hook function
    if( !function_exists('knirpse_page_col_end_wrap_cb') ) {
        function knirpse_page_col_end_wrap_cb( ) {
            echo '</div>';
        }
    }

    // page sidebar hook function
    if( !function_exists('knirpse_page_sidebar_cb') ) {
        function knirpse_page_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $knirpse_page_sidebar = knirpse_opt('knirpse_page_sidebar');
            }else {
                $knirpse_page_sidebar = '1';
            }

            if( class_exists('ReduxFramework') ) {
                $knirpse_page_layoutopt = knirpse_opt('knirpse_page_layoutopt');
            }else {
                $knirpse_page_layoutopt = '3';
            }

            if( $knirpse_page_layoutopt == '1' && $knirpse_page_sidebar != 1 ) {
                get_sidebar('page');
            } elseif( $knirpse_page_layoutopt == '2' && $knirpse_page_sidebar != 1 ) {
                get_sidebar();
            }
        }
    }

    // page content hook function
    if( !function_exists('knirpse_page_content_cb') ) {
        function knirpse_page_content_cb( ) {
            if(  class_exists('woocommerce') && ( is_woocommerce() || is_cart() || is_checkout() || is_page('wishlist') || is_account_page() )  ) {
                echo '<div class="woocommerce--content">';
            } else {
                echo '<div class="page--content clearfix">';
            }

                the_content();

                // Link Pages
                knirpse_link_pages();

            echo '</div>';
            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }

        }
    }

    if( !function_exists('knirpse_blog_post_thumb_cb') ) {
        function knirpse_blog_post_thumb_cb( ) {
            if( get_post_format() ) {
                $format = get_post_format();
            }else{
                $format = 'standard';
            }

            $knirpse_post_slider_thumbnail = knirpse_meta( 'post_format_slider' );

            if( !empty( $knirpse_post_slider_thumbnail ) ){
                echo '<div class="blog-img vs-blog-carousel" data-slide-show="1" data-md-slide-show="1">';
                    foreach( $knirpse_post_slider_thumbnail as $single_image ){
                        echo knirpse_img_tag( array(
                            'url'   => esc_url( $single_image )
                        ) );
                    }
                echo '</div>';
            }elseif( has_post_thumbnail() && $format == 'standard' ) {
                echo '<!-- Post Thumbnail -->';
                echo '<div class="blog-img">';
                    if( ! is_single() ){
                        echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                    }

                    the_post_thumbnail();

                    if( ! is_single() ){
                        echo '</a>';
                    }
                echo '</div>';
                echo '<!-- End Post Thumbnail -->';
            }elseif( $format == 'video' ){
                if( has_post_thumbnail() && ! empty ( knirpse_meta( 'post_format_video' ) ) ){
                    echo '<div class="blog-img">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            the_post_thumbnail();
                        if( ! is_single() ){
                            echo '</a>';
                        }
                        echo '<div class="vs-video">';
                            echo '<a href="'.esc_url( knirpse_meta( 'post_format_video' ) ).'" class="popup-video play-btn style-1">';
                              echo '<i class="fas fa-play"></i>';
                            echo '</a>';
                        echo '</div>';
                    echo '</div>';
                }elseif( ! has_post_thumbnail() && ! is_single() ){
                    echo '<div class="blog-video">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            echo knirpse_embedded_media( array( 'video', 'iframe' ) );
                        if( ! is_single() ){
                            echo '</a>';
                        }
                    echo '</div>';
                }
            }elseif( $format == 'audio' ){
                $knirpse_audio = knirpse_meta( 'post_format_audio' );
                if( ! empty( $knirpse_audio ) ){
                    echo '<div class="blog-audio">';
                        echo wp_oembed_get( $knirpse_audio );
                    echo '</div>';
                }elseif( ! is_single() ){
                    echo '<div class="blog-audio">';
                        echo wp_oembed_get( $knirpse_audio );
                    echo '</div>';
                }
            }

        }
    }

    if( !function_exists('knirpse_blog_post_content_cb') ) {
        function knirpse_blog_post_content_cb( ) {
            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );
            if( class_exists( 'ReduxFramework' ) ) {
                $knirpse_excerpt_length          = knirpse_opt( 'knirpse_blog_postExcerpt' );
                $knirpse_display_post_category   = knirpse_opt( 'knirpse_display_post_category' );
            } else {
                $knirpse_excerpt_length          = '48';
                $knirpse_display_post_category   = '1';
            }

            if( class_exists( 'ReduxFramework' ) ) {
                $knirpse_blog_admin = knirpse_opt( 'knirpse_blog_post_author' );
                $knirpse_blog_readmore_setting_val = knirpse_opt('knirpse_blog_readmore_setting');
                if( $knirpse_blog_readmore_setting_val == 'custom' ) {
                    $knirpse_blog_readmore_setting = knirpse_opt('knirpse_blog_custom_readmore');
                } else {
                    $knirpse_blog_readmore_setting = __( 'Read More', 'knirpse' );
                }
            } else {
                $knirpse_blog_readmore_setting = __( 'Read More', 'knirpse' );
                $knirpse_blog_admin = true;
            }
            echo '<!-- blog-content -->';

                do_action( 'knirpse_blog_post_thumb' );
                
                echo '<div class="blog-content">';

                    // Blog Post Meta
                    do_action( 'knirpse_blog_post_meta' );

                    echo '<!-- Post Title -->';
                    echo '<h3 class="blog-title"><a href="'.esc_url( get_permalink() ).'">'.wp_kses( get_the_title( ), $allowhtml ).'</a></h3>';
                    echo '<!-- End Post Title -->';
   
                    echo '<!-- Post Summary -->';
                        echo knirpse_paragraph_tag( array(
                            "text"  => wp_kses( wp_trim_words( get_the_excerpt(), $knirpse_excerpt_length, '' ), $allowhtml ),
                            "class" => 'blog-text',
                        ) );

                        if( !empty( $knirpse_blog_readmore_setting ) ){
                            echo '<!-- Button -->';
                                echo '<a href="'.esc_url( get_permalink() ).'" class="link-btn">'.esc_html( $knirpse_blog_readmore_setting ).' <i class="far fa-long-arrow-right"></i></a>';
                            echo '<!-- End Button -->';
                        }
                    echo '<!-- End Post Summary -->';
                echo '</div>';
            echo '<!-- End Post Content -->';
        }
    }
