<?php
/**
 * @Packge     : Knirpse
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */


// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit;
}

function knirpse_widgets_init() {

    if( class_exists('ReduxFramework') ) {
        $knirpse_sidebar_widget_title_heading_tag = knirpse_opt('knirpse_sidebar_widget_title_heading_tag');
    } else {
        $knirpse_sidebar_widget_title_heading_tag = 'h3';
    }

    //sidebar widgets register
    register_sidebar( array(
        'name'          => esc_html__( 'Blog Sidebar', 'knirpse' ),
        'id'            => 'knirpse-blog-sidebar',
        'description'   => esc_html__( 'Add Blog Sidebar Widgets Here.', 'knirpse' ),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="widget_title">',
        'after_title'   => '</h3>',
    ) );

    // page sidebar widgets register
    register_sidebar( array(
        'name'          => esc_html__( 'Page Sidebar', 'knirpse' ),
        'id'            => 'knirpse-page-sidebar',
        'description'   => esc_html__( 'Add Page Sidebar Widgets Here.', 'knirpse' ),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="widget_title">',
        'after_title'   => '</h3>',
    ) );
    if( class_exists( 'ReduxFramework' ) ){
        // footer widgets register
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 1', 'knirpse' ),
           'id'            => 'knirpse-footer-1',
           'before_widget' => '<div class="col-xl-auto col-md-6"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h3 class="widget_title">',
           'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 2', 'knirpse' ),
           'id'            => 'knirpse-footer-2',
           'before_widget' => '<div class="col-xl-auto col-md-6"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h3 class="widget_title">',
           'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 3', 'knirpse' ),
           'id'            => 'knirpse-footer-3',
           'before_widget' => '<div class="col-xl-auto col-md-6"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h3 class="widget_title">',
           'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 4', 'knirpse' ),
           'id'            => 'knirpse-footer-4',
           'before_widget' => '<div class="col-xl-auto col-md-6"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h3 class="widget_title">',
           'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Offcanvas Sidebar', 'knirpse' ),
           'id'            => 'knirpse-offcanvas',
           'before_widget' => '<div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div>',
           'before_title'  => '<h3 class="widget_title">',
           'after_title'   => '</h3>',
        ) );
    }
    if( class_exists('woocommerce') ) {
        register_sidebar(
            array(
                'name'          => esc_html__( 'WooCommerce Sidebar', 'knirpse' ),
                'id'            => 'knirpse-woo-sidebar',
                'description'   => esc_html__( 'Add widgets here to appear in your woocommerce page sidebar.', 'knirpse' ),
                'before_widget' => '<div class="widget %2$s">',
                'after_widget'  => '</div>',
                'before_title'  => '<h4 class="widget_title">',
                'after_title'   => '</h4>',
            )
        );
    }

}

add_action( 'widgets_init', 'knirpse_widgets_init' );